#define PORT(x) SPORT(x)
#define SPORT(x) (PORT##x)

#define PIN(x) SPIN(x)
#define SPIN(x) (PIN##x)

#define DDR(x) SDDR(x)
#define SDDR(x) (DDR##x)



#define LCD_Y 2
#define LCD_X 16

#define LCD_D7PORT D
#define LCD_D7 3
#define LCD_D6PORT D
#define LCD_D6 2
#define LCD_D5PORT D
#define LCD_D5 1
#define LCD_D4PORT D
#define LCD_D4 0

#define LCD_RSPORT D
#define LCD_RS 5
#define LCD_EPORT D
#define LCD_E 4

#define LCD_LINE1 0x00
#define LCD_LINE2 0x40

#define SET_RS PORT(LCD_RSPORT) |= (1<<LCD_RS)
#define CLR_RS PORT(LCD_RSPORT) &= ~(1<<LCD_RS)
#define SET_E PORT(LCD_EPORT) |= (1<<LCD_E)
#define CLR_E PORT(LCD_EPORT) &= ~(1<<LCD_E)

#define USE_LCD_LOCATE	1			// ustawia kursor na wybranej pozycji Y,X (Y=0-3, X=0-n)

#define USE_LCD_CHAR 	1			// wysya pojedynczy znak jako argument funkcji

#define USE_LCD_STR_P 	1			// wysya string umieszczony w pamici FLASH
#define USE_LCD_STR_E 	1			// wysya string umieszczony w pamici FLASH

#define USE_LCD_INT 	1			// wywietla liczb dziesietn na LCD
#define USE_LCD_HEX 	1			// wywietla liczb szesnastkow na LCD

#define USE_LCD_DEFCHAR		1		// wysya zdefiniowany znak z pamici RAM
#define USE_LCD_DEFCHAR_P 	1		// wysya zdefiniowany znak z pamici FLASH
#define USE_LCD_DEFCHAR_E 	1		// wysya zdefiniowany znak z pamici EEPROM

#define USE_LCD_CURSOR_ON 		0	// obsuga wczania/wyczania kursora
#define USE_LCD_CURSOR_BLINK 	0	// obsuga wczania/wyczania migania kursora
#define USE_LCD_CURSOR_HOME 	0	// ustawia kursor na pozycji pocztkowej

// Komendy sterujce
#define LCDC_CLS					0x01
#define LCDC_HOME					0x02
#define LCDC_ENTRY					0x04
	#define LCDC_ENTRYR					0x02
	#define LCDC_ENTRYL					0
	#define LCDC_MOVE					0x01
#define LCDC_ONOFF					0x08
	#define LCDC_DISPLAYON				0x04
	#define LCDC_CURSORON				0x02
	#define LCDC_CURSOROFF				0
	#define LCDC_BLINKON				0x01
#define LCDC_SHIFT					0x10
	#define LCDC_SHIFTDISP				0x08
	#define LCDC_SHIFTR					0x04
	#define LCDC_SHIFTL					0
#define LCDC_FUNC					0x20
	#define LCDC_FUNC8B					0x10
	#define LCDC_FUNC4B					0
	#define LCDC_FUNC2L					0x08
	#define LCDC_FUNC1L					0
	#define LCDC_FUNC5x10				0x04
	#define LCDC_FUNC5x7				0
#define LCDC_SET_CGRAM				0x40
#define LCDC_SET_DDRAM				0x80

